Loading...
Searching...
No Matches
OgreMath.h File Reference
`#include <limits>`
`#include "OgrePrerequisites.h"`
`#include "OgreHeaderPrefix.h"`
`#include "OgreHeaderSuffix.h"`

## Classes

class | Ogre::Angle
| Wrapper class which identifies a value as the currently default angle type, as defined by Math::setAngleUnit. More...
class | Ogre::Degree
| Wrapper class which indicates a given angle value is in Degrees. More...
class | Ogre::Math
| Class to provide access to common mathematical functions. More...
class | Ogre::Math::RandomValueProvider
| This class is used to provide an external random value provider. More...
class | Ogre::Radian
| Wrapper class which indicates a given angle value is in Radians. More...

## Namespaces

namespace | Ogre

## Typedefs

typedef std::pair< bool, Real > | Ogre::RayTestResult
| A pair structure where the first element indicates whether an intersection occurs.

## Functions

Degree | Ogre::operator* (float a, const Degree &b)
Radian | Ogre::operator* (float a, const Radian &b)
Degree | Ogre::operator/ (float a, const Degree &b)
Radian | Ogre::operator/ (float a, const Radian &b)